## org.apache.tools.ant.taskdefs.email
Class EmailAddress

    java.lang.Object
      org.apache.tools.ant.taskdefs.email.EmailAddress

public class EmailAddress
extends java.lang.Object

Holds an email address.

Since:
  Ant 1.5
Author:
  roxspring@yahoo.com Rob Oxspring

Constructor Summary
`EmailAddress()` Creates an empty email address
`EmailAddress(java.lang.String address)` Creates a new email address based on the given string

Method Summary
`java.lang.String` `getAddress()` Returns the address
`java.lang.String` `getName()` Returns the display name
`void` `setAddress(java.lang.String address)` Sets the email address
`void` `setName(java.lang.String name)` Sets the personal / display name of the address
`java.lang.String` `toString()` Constructs a string "name <address>" or "address"

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EmailAddress

    public EmailAddress()

  Creates an empty email address

### EmailAddress

    public EmailAddress(java.lang.String address)

  Creates a new email address based on the given string

Parameters:
  `address` - the email address

Method Detail

### setName

    public void setName(java.lang.String name)

  Sets the personal / display name of the address

  Parameters:
    `name` - the display name

### setAddress

    public void setAddress(java.lang.String address)

  Sets the email address

  Parameters:
    `address` - the actual email address

### toString

    public java.lang.String toString()

  Constructs a string "name <address>" or "address"

  Returns:
    a string representation of the address

### getAddress

    public java.lang.String getAddress()

  Returns the address

  Returns:
    the address part

### getName

    public java.lang.String getName()

  Returns the display name

  Returns:
    the display name part

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.